exports.getSiteDomain = (location) => {
    let host = location.host;
    let domain = 'default';
    let pathname = location.pathname;
    let exceptSiteMap = ['liebide.com','localhost','im.liepin'];
    let siteMap = {
        'LIEPIN':'liepin',
        'ZHAOPIN':'zhaopin.com',
        '51JOB':'51job.com',
        'LAGOU':'lagou.com',
        'MAIMAI':'maimai.cn',
        'HIGHPIN':'highpin.cn',
        'LINKEDIN':'linkedin.com'
    }

    if(!(typeof host === 'string') || !host){
        return null;
    }

    if(pathname === '/'){
        return null;
    }

    for(let p in siteMap){
        let val = siteMap[p];
        if(host.toLowerCase().indexOf(val) > -1){
            domain = p;
            break;
        }
    }

    exceptSiteMap.forEach((site) =>{
        if(host.toLowerCase().indexOf(site) > -1){
            domain = null;
        }
    })

    return domain;
}
exports.getDefaultDomain = (url) => {
    let domain = '';
    let siteMap = ['fenjianli.com','highpin.cn','linkedin.com','zhipin.com','gllue.com','chinahr.com',
                    'yingjiesheng.com','neitui.me','dajie.com','haitou.cc','juxian.com','51lieren.cn','bole.com.cn','hunteron.com','job1001.com','hotjob.cn','rencaiyunguanjia.com',
                    'moore.ren','kanzhun.com','job592.com','jobtong.com','hqrm.cn','lagou.com','maimai.cn'];
    siteMap.forEach((site) =>{
        if(url && url.toLowerCase().indexOf(site) > -1){
            domain = site;
        }
    })

    return domain;
}
exports.generateGUID = function(){
    var d = new Date().getTime();
    var guid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
        var r = (d + Math.random()*16)%16 | 0;
        d = Math.floor(d/16);
        return (c=='x' ? r : (r&0x7|0x8)).toString(16);
    });
    return guid;
};
